VTK: vtkRandomLayoutStrategy Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkRandomLayoutStrategy Class Reference

randomly places vertices in 2 or 3 dimensions More...

`#include <vtkRandomLayoutStrategy.h>`

Inheritance diagram for vtkRandomLayoutStrategy:
[legend]
Collaboration diagram for vtkRandomLayoutStrategy:
[legend]

## Public Types
typedef vtkGraphLayoutStrategy | Superclass
Public Types inherited from vtkGraphLayoutStrategy
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkRandomLayoutStrategy * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | SetRandomSeed (int)
| Seed the random number generator used to compute point positions. More...
virtual int | GetRandomSeed ()
virtual void | SetGraphBounds (double, double, double, double, double, double)
| Set / get the region in space in which to place the final graph. More...
virtual void | SetGraphBounds (double[6])
virtual double * | GetGraphBounds ()
virtual void | GetGraphBounds (double data[6])
virtual void | SetAutomaticBoundsComputation (vtkTypeBool)
| Turn on/off automatic graph bounds calculation. More...
virtual vtkTypeBool | GetAutomaticBoundsComputation ()
virtual void | AutomaticBoundsComputationOn ()
virtual void | AutomaticBoundsComputationOff ()
virtual void | SetThreeDimensionalLayout (vtkTypeBool)
| Turn on/off layout of graph in three dimensions. More...
virtual vtkTypeBool | GetThreeDimensionalLayout ()
virtual void | ThreeDimensionalLayoutOn ()
virtual void | ThreeDimensionalLayoutOff ()
void | SetGraph (vtkGraph *graph) override
| Set the graph to layout. More...
void | Layout () override
| Perform the random layout. More...
Public Member Functions inherited from vtkGraphLayoutStrategy
vtkGraphLayoutStrategy * | NewInstance () const
virtual void | Initialize ()
| This method allows the layout strategy to do initialization of data structures or whatever else it might want to do. More...
virtual int | IsLayoutComplete ()
| If your concrete class is iterative than you should overload IsLayoutComplete() otherwise it simply returns 1 by default;. More...
virtual void | SetWeightEdges (bool state)
| Whether to use edge weights in the layout or not. More...
virtual bool | GetWeightEdges ()
virtual void | SetEdgeWeightField (const char *field)
| Set/Get the field to use for the edge weights. More...
virtual char * | GetEdgeWeightField ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkRandomLayoutStrategy * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRandomLayoutStrategy * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkGraphLayoutStrategy
static vtkTypeBool | IsTypeOf (const char *type)
static vtkGraphLayoutStrategy * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkRandomLayoutStrategy ()
| ~vtkRandomLayoutStrategy () override
Protected Member Functions inherited from vtkGraphLayoutStrategy
| vtkGraphLayoutStrategy ()
| ~vtkGraphLayoutStrategy () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | RandomSeed
double | GraphBounds [6]
vtkTypeBool | AutomaticBoundsComputation
vtkTypeBool | ThreeDimensionalLayout
Protected Attributes inherited from vtkGraphLayoutStrategy
vtkGraph * | Graph
char * | EdgeWeightField
bool | WeightEdges
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

randomly places vertices in 2 or 3 dimensions

Assigns points to the vertices of a graph randomly within a bounded range.

.SECTION Thanks Thanks to Brian Wylie from Sandia National Laboratories for adding incremental layout capabilities.

Definition at line 38 of file vtkRandomLayoutStrategy.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkGraphLayoutStrategy vtkRandomLayoutStrategy::Superclass

Definition at line 43 of file vtkRandomLayoutStrategy.h.

## Constructor & Destructor Documentation

## ◆ vtkRandomLayoutStrategy()

vtkRandomLayoutStrategy::vtkRandomLayoutStrategy | ( |  | ) |
| protected

## ◆ ~vtkRandomLayoutStrategy()

vtkRandomLayoutStrategy::~vtkRandomLayoutStrategy | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkRandomLayoutStrategy* vtkRandomLayoutStrategy::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkRandomLayoutStrategy::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkRandomLayoutStrategy::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkGraphLayoutStrategy.

## ◆ SafeDownCast()

static vtkRandomLayoutStrategy* vtkRandomLayoutStrategy::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkRandomLayoutStrategy::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkGraphLayoutStrategy.

## ◆ NewInstance()

vtkRandomLayoutStrategy* vtkRandomLayoutStrategy::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkRandomLayoutStrategy::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkGraphLayoutStrategy.

## ◆ SetRandomSeed()

virtual void vtkRandomLayoutStrategy::SetRandomSeed | ( | int |  | ) |
| virtual

Seed the random number generator used to compute point positions.

This has a significant effect on their final positions when the layout is complete.

## ◆ GetRandomSeed()

virtual int vtkRandomLayoutStrategy::GetRandomSeed | ( |  | ) |
| virtual

## ◆ SetGraphBounds() [1/2]

virtual void vtkRandomLayoutStrategy::SetGraphBounds | ( | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| virtual

Set / get the region in space in which to place the final graph.

The GraphBounds only affects the results if AutomaticBoundsComputation is off.

## ◆ SetGraphBounds() [2/2]

virtual void vtkRandomLayoutStrategy::SetGraphBounds | ( | double | [6] | ) |
| virtual

## ◆ GetGraphBounds() [1/2]

virtual double* vtkRandomLayoutStrategy::GetGraphBounds | ( |  | ) |
| virtual

## ◆ GetGraphBounds() [2/2]

virtual void vtkRandomLayoutStrategy::GetGraphBounds | ( | double | data[6] | ) |
| virtual

## ◆ SetAutomaticBoundsComputation()

virtual void vtkRandomLayoutStrategy::SetAutomaticBoundsComputation | ( | vtkTypeBool |  | ) |
| virtual

Turn on/off automatic graph bounds calculation.

If this boolean is off, then the manually specified GraphBounds is used. If on, then the input's bounds us used as the graph bounds.

## ◆ GetAutomaticBoundsComputation()

virtual vtkTypeBool vtkRandomLayoutStrategy::GetAutomaticBoundsComputation | ( |  | ) |
| virtual

## ◆ AutomaticBoundsComputationOn()

virtual void vtkRandomLayoutStrategy::AutomaticBoundsComputationOn | ( |  | ) |
| virtual

## ◆ AutomaticBoundsComputationOff()

virtual void vtkRandomLayoutStrategy::AutomaticBoundsComputationOff | ( |  | ) |
| virtual

## ◆ SetThreeDimensionalLayout()

virtual void vtkRandomLayoutStrategy::SetThreeDimensionalLayout | ( | vtkTypeBool |  | ) |
| virtual

Turn on/off layout of graph in three dimensions.

If off, graph layout occurs in two dimensions. By default, three dimensional layout is on.

## ◆ GetThreeDimensionalLayout()

virtual vtkTypeBool vtkRandomLayoutStrategy::GetThreeDimensionalLayout | ( |  | ) |
| virtual

## ◆ ThreeDimensionalLayoutOn()

virtual void vtkRandomLayoutStrategy::ThreeDimensionalLayoutOn | ( |  | ) |
| virtual

## ◆ ThreeDimensionalLayoutOff()

virtual void vtkRandomLayoutStrategy::ThreeDimensionalLayoutOff | ( |  | ) |
| virtual

## ◆ SetGraph()

void vtkRandomLayoutStrategy::SetGraph | ( | vtkGraph * | graph | ) |
| overridevirtual

Set the graph to layout.

Reimplemented from vtkGraphLayoutStrategy.

## ◆ Layout()

void vtkRandomLayoutStrategy::Layout | ( |  | ) |
| overridevirtual

Perform the random layout.

Implements vtkGraphLayoutStrategy.

## Member Data Documentation

## ◆ RandomSeed

int vtkRandomLayoutStrategy::RandomSeed
| protected

Definition at line 102 of file vtkRandomLayoutStrategy.h.

## ◆ GraphBounds

double vtkRandomLayoutStrategy::GraphBounds[6]
| protected

Definition at line 103 of file vtkRandomLayoutStrategy.h.

## ◆ AutomaticBoundsComputation

vtkTypeBool vtkRandomLayoutStrategy::AutomaticBoundsComputation
| protected

Definition at line 104 of file vtkRandomLayoutStrategy.h.

## ◆ ThreeDimensionalLayout

vtkTypeBool vtkRandomLayoutStrategy::ThreeDimensionalLayout
| protected

Definition at line 105 of file vtkRandomLayoutStrategy.h.

The documentation for this class was generated from the following file:

- Infovis/Layout/vtkRandomLayoutStrategy.h